#BEGIN COPYRIGHT
#*************************************************************************
#
# Licensed Materials - Property of IBM
# 5725-C94, 5725-C95, 5725-C96
# (C) Copyright IBM Corporation 2010, 2011. All Rights Reserved.
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
#*************************************************************************
#END COPYRIGHT

from java.lang import System, String
import sys
import shutil

print "*************************************************************************************"
print "start: init"
print ""

fileSeparator = System.getProperty("file.separator");
configUtilsScript = System.getProperty("was.install.root") + fileSeparator + "util" + fileSeparator + "config" + fileSeparator + "admin" + fileSeparator + "configUtils.py"
print "load configuration utils from ", configUtilsScript
execfile(configUtilsScript);

print ""
print "end: init"


def configureCustomSecurityProvider():
    global adminUserName, adminPassword;

    print ""
    BASE_ENTRY_NAME = "o=twinternal"

    try:
            # Create the twinternal custom repository
            REPO_NAME = "urbtwinternal"

            print "Creating the custom registry " + REPO_NAME
            AdminTask.createIdMgrCustomRepository('-id ' + REPO_NAME + ' -adapterClassName com.ibm.ws.wim.adapter.urbridge.URBridge')
            AdminTask.setIdMgrCustomProperty('-id '+ REPO_NAME + ' -name registryImplClass -value "com.ibm.bpm.security.provider.authentication.websphere.BPMInternalProviderImpl"')
            AdminTask.addIdMgrRepositoryBaseEntry('-id '+ REPO_NAME + ' -name '+BASE_ENTRY_NAME)
            print "Created the custom registry " + REPO_NAME
    except:
            # Ignore exception if we have already created the twinternal repo
            print "The custom registry ", REPO_NAME,  " cannot be created"

    print ""

    REALM_NAME = "defaultWIMFileBasedRealm"
    baseEntries = getObjectArray(AdminTask.listIdMgrRealmBaseEntries('-name '+ REALM_NAME))
    print "The value of baseEntries is ", baseEntries

    # A realm must have at least one base entry. Lets check if we have the Teamworks one
    # already added. If not, add it before we delete everyone else

    isBaseEntryExist = "false"
    for baseEntry in baseEntries:
            if (baseEntry == BASE_ENTRY_NAME):
                    isBaseEntryExist = "true"
                    break

    print "The value of isBaseEntryExist is ", isBaseEntryExist
    print ""

    if (isBaseEntryExist == "false"):
            print "Adding baseEntry " + BASE_ENTRY_NAME
            AdminTask.addIdMgrRealmBaseEntry('-name '+REALM_NAME+' -baseEntry '+BASE_ENTRY_NAME)

    print ""

    userRegistries = getObjectArray(AdminConfig.list("UserRegistry" ))
    print "The value of userRegistries is ", userRegistries

    m = re.compile("WIMUserRegistry")
    for userRegistry in userRegistries:
            if (m.search(userRegistry) ):
                    customRegistry = userRegistry
                    break
    print "The value of customRegistry is ", customRegistry
    print ""

    attrUser = ["serverId", adminUserName]
    attrPassword = ["serverPassword", adminPassword]
    attrPrimaryId = ["primaryAdminId", adminUserName]
    realm = ["realm", REALM_NAME]
    customRegistryAttributes = [attrUser, attrPassword, attrPrimaryId, realm]

    AdminConfig.modify(customRegistry, customRegistryAttributes )
    print "Modified the custom registry attributes"
    print ""

    attrUserReg = ["activeUserRegistry", customRegistry]

    globalSecurityAttributes = [attrUserReg]
    print "The value of globalSecurityAttributes is ", globalSecurityAttributes

    globalSecurity = AdminConfig.list("Security" )
    print "The value of globalSecurity is ", globalSecurity
    AdminConfig.modify(globalSecurity, globalSecurityAttributes )
    print "Modified the global security attributes"
    print ""

    updateFileRegistryDocument()

    print ""

#endDef

def updateFileRegistryDocument():
    fileRegistryDocument = "cells/" +  System.getProperty("local.cell") + "/fileRegistry.xml"
    print "The value of fileRegistryDocument is ", fileRegistryDocument
	    
    if (AdminConfig.existsDocument(fileRegistryDocument)):
        fileRegistry = System.getProperty("was.repository.root") + fileSeparator +  fileRegistryDocument
        containsAdminUser = adminUserExists(fileRegistry, adminUserName);
	if(containsAdminUser == "false"):
            print "The file registry does not contain the admin user"
	    return;
	print "Updating the file registry document"
	AdminConfig.deleteDocument(fileRegistryDocument)
	
	fileRegistryTemplate = System.getProperty("was.install.root") + fileSeparator + "BPM" + fileSeparator + "base" + fileSeparator + "profile" + fileSeparator + "documents" + fileSeparator + "config" + fileSeparator + "cells" + fileSeparator + "BaseApplicationServerCell" + fileSeparator+"fileRegistry.xml"
	try:
	    shutil.copyfile(fileRegistryTemplate, fileRegistry)
	    print "Updated the file registry document"
        except:
            print "file registry document is deleted. The exception type is: ", sys.exc_type, ". The exception description is: ", sys.exc_value
    else:
        print "The file registry document does not exist"

#endDef

def adminUserExists(fileRegistry, adminUserName):
    try:
        wimAdminUser = '<wim:uid>' + adminUserName + '</wim:uid>'
        f = open(fileRegistry, 'r')
        line = f.readline()
        while line:
            line = f.readline()
            if (line.find(wimAdminUser) >= 0):
                print "found admin user in the file registry"
                f.close()
                return "true";
    except:
    	print "File registry document could not be opened or read"
    	f.close()
    	return "true";
    f.close()
    return "false";

#endDef

def enableGlobalSecurityforDMGR():
    global adminUserName, adminPassword;

    globalSecurity = AdminConfig.list("Security" )
    print "The value of globalSecurity is ", globalSecurity
    alreadyEnabled = AdminConfig.showAttribute(globalSecurity, "enabled");
    print "The value of alreadyEnabled is ", alreadyEnabled
    
    if (alreadyEnabled == "false"):
        userRegistries = getObjectArray(AdminConfig.list("UserRegistry" ))
        print "The value of userRegistries is ", userRegistries

        m = re.compile("WIMUserRegistry")
        for userRegistry in userRegistries:
            if (m.search(userRegistry) ):
                customRegistry = userRegistry
                break
        print "The value of customRegistry is ", customRegistry
        print ""

        attrUser = ["serverId", adminUserName]
        attrPassword = ["serverPassword", adminPassword]
        attrPrimaryId = ["primaryAdminId", adminUserName]
        customRegistryAttributes = [attrUser, attrPassword, attrPrimaryId]

        AdminConfig.modify(customRegistry, customRegistryAttributes )
        print "Modified the custom registry attributes"
        print ""

        attrUserReg = ["activeUserRegistry", customRegistry]
        attrEnabled = ["enabled", "true"]

        globalSecurityAttributes = [attrEnabled, attrUserReg]
        print "The value of globalSecurityAttributes is ", globalSecurityAttributes

        AdminConfig.modify(globalSecurity, globalSecurityAttributes )
        print "Modified the global security attributes"
        print ""

        AdminTask.addFileRegistryAccount(["-userId", adminUserName, "-password", adminPassword])
        print ""
        print "Added " + adminUserName + " user";
        print ""
#endDef

def configureGlobalSecurityAttributes():

    ltpa = AdminConfig.list("LTPA" )
    print "The value of ltpa is ", ltpa

    attrEnabled = ["enabled", "true"]
    attrAppEnabled = ["appEnabled", "true"]
    attrJava2 = ["enforceJava2Security", "false"]
    attrAuthMech = ["activeAuthMechanism", ltpa]
    globalSecurityAttributes = [attrEnabled, attrAppEnabled, attrJava2, attrAuthMech]
    print "The value of globalSecurityAttributes is ", globalSecurityAttributes

    globalSecurity = AdminConfig.list("Security" )
    print "The value of globalSecurity is ", globalSecurity
    AdminConfig.modify(globalSecurity, globalSecurityAttributes )
    print "Modified the global security attributes"
    print ""

#endDef

def assignAdministrativePrivilegesToGroups():

    AdminTask.mapGroupsToAdminRole(["-roleName", "operator", "-groupids", ["TWSecurityProviderUsers"]] )
    print ""
    print "Added operator administration role to TWSecurityProviderUsers"
    print ""

#endDef

def assignAdministrativePrivilegesToUsers():
    global adminUserName;
    try:
          AdminTask.mapUsersToAdminRole(["-roleName", "administrator", "-userids", adminUserName])
          print ""
          print "Added administrator administration role to the primary administrator"
          print ""
    except:
          print ""
          print "Administrator role already exists for the adminUserName"
          print ""

    try:
          AdminTask.mapUsersToAdminRole(["-roleName", "deployer", "-userids", ["tw_admin", "tw_author", "bpmAuthor"]])
          print ""
          print "Added deployer administration role to tw_admin, tw_author and bpmAuthor"
          print ""
    except:
          print ""
          print "deployer role already exists for the tw_admin, tw_author and bpmAuthor role"
          print ""
        
    try:
          AdminTask.mapUsersToAdminRole(["-roleName", "operator", "-userids", ["tw_admin", "tw_author", "bpmAuthor"]])
          print ""
          print "Added operator administration role to tw_admin, tw_author and bpmAuthor"
          print ""
    except:
          print ""
          print "operator role already exists for the tw_admin, tw_author and bpmAuthor role"
          print ""

#endDef

def createDefaultUsersInVMMUserRegistry():
    global adminUserName, adminPassword;

    if (adminUserName != "tw_admin"):
        AdminTask.addFileRegistryAccount(["-userId", "tw_admin", "-password", adminPassword])
        print ""
        print "Added tw_admin user"
        print ""

    if (adminUserName != "tw_author"):
        AdminTask.addFileRegistryAccount(["-userId", "tw_author", "-password", adminPassword])
        print ""
        print "Added tw_author user"
        print ""

    if (adminUserName != "tw_user"):
        AdminTask.addFileRegistryAccount(["-userId", "tw_user", "-password", adminPassword])
        print ""
        print "Added tw_user user"
        print ""

    if (adminUserName != "tw_webservice"):
        AdminTask.addFileRegistryAccount(["-userId", "tw_webservice", "-password", adminPassword])
        print ""
        print "Added tw_webservice user"
        print ""

    if (adminUserName != "tw_portal_admin"):
        AdminTask.addFileRegistryAccount(["-userId", "tw_portal_admin", "-password", adminPassword])
        print ""
        print "Added tw_portal_admin user"
        print ""

    if (adminUserName != "tw_runtime_server"):
        AdminTask.addFileRegistryAccount(["-userId", "tw_runtime_server", "-password", adminPassword])
        print ""
        print "Added tw_runtime_server user"
        print ""

    if (adminUserName != "bpmAuthor"):
        AdminTask.addFileRegistryAccount(["-userId", "bpmAuthor", "-password", adminPassword])
        print ""
        print "Added bpmAuthor user"
        print ""

#endDef

def updateIdMgrRealmURAttrMapping():

    AdminTask.setIdMgrRealmURAttrMapping(["-URAttrName", "userDisplayName", "-propertyForInput", "displayName", "-propertyForOutput", "displayName"])
    print ""
    print "updated ID Manager - 'userDisplayName' attribute to use 'displayName' as input and output."
    print ""

#endDef


def CreateBPMUserAuthAliases():
    global adminUserName, adminPassword;

    createAuthAlias("BPMPrimaryAdmin_Auth_Alias", adminUserName, adminPassword, "Authentication Alias for BPM Primary Administrator" );

    print ""
    print "Created BPM Primary Admin Auth Alias "
    print ""
    
    createAuthAlias("BPMAdmin_Auth_Alias", "tw_admin", adminPassword, "Authentication Alias for BPM Admin" );

    print ""
    print "Created BPM  Admin Auth Alias "
    print ""
   
    createAuthAlias("BPMAuthor_Auth_Alias", "tw_author", adminPassword, "Authentication Alias for BPM Author" );
	
    print ""
    print "Created BPM Author Auth Alias "
    print ""
    
    createAuthAlias("BPMUser_Auth_Alias", "tw_user", adminPassword, "Authentication Alias for BPM User" );
    
    print ""
    print "Created BPM User Auth Alias "
    print ""
    
    createAuthAlias("BPMWebservice_Auth_Alias", "tw_webservice", adminPassword, "Authentication Alias for Anyonymous Webservice User" );
    
    print ""
    print "Created BPM Webservice Auth Alias "
    print ""

#endDef


def CreateRALUserAuthAlias():
    global adminUserName, adminPassword;

    createAuthAlias("RALSecurity_Auth_Alias", adminUserName, adminPassword, "Authentication Alias for RAL User" );

    print ""
    print "Created RAL User Auth Alias "
    print ""

#endDef

#******************************************************************************************************
# Set the value for the primaryAdminID on z/OS.
#******************************************************************************************************
def SetPrimaryAdminIdzOS():

    global adminUserName
    if(System.getProperty("os.name") == "z/OS"):
        print "Setting primaryAdminId for z/OS";
        AdminTask.addAdminIdToUserRegObj(["-adminUser", adminUserName, "-registryType", "WIMUserRegistry"])
        print ""
        print "Set " + adminUserName + " as primaryAdminId";
#endDef


#*******************************************************************************************************
# main
#*******************************************************************************************************
print "*************************************************************************************"
print "Start: Creating custom security configuration"
print ""
print ""


try:
        cellType = getCellType();

        adminUserName = sys.argv[1]
        print "The value of adminUserName is " + adminUserName
        adminPassword = sys.argv[3]

        if (isEmptyString(adminUserName) == "True"):
                adminUserName = "admin";
                print "The value of adminUserName is set to default ", adminUserName

        if (isEmptyString(adminPassword) == "True"):
                adminPassword = "admin";
                print "The value of adminPassword is set to default value"

        if (cellType == "STANDALONE"):
                print "Configuring stand-alone profile."
                print ""

                configureCustomSecurityProvider();
                configureGlobalSecurityAttributes();
                assignAdministrativePrivilegesToGroups();
                assignAdministrativePrivilegesToUsers();
                nodeName = System.getProperty("local.node");
                cellName = System.getProperty("local.cell");
                scope = "(cell):"+ cellName + ":(node):"+ nodeName;
                updateIdMgrRealmURAttrMapping();
                CreateBPMUserAuthAliases();
                CreateRALUserAuthAlias();
				
                AdminConfig.save();

                print ""
                print "*************************************************************************************"
                print "The custom security configuration is complete."
                print "*************************************************************************************"
                print ""

        elif (cellType == "DISTRIBUTED"):
                print "Updating the distributed (dmgr or customized) profile"
                # check whether the local node is a deployment manager Node
                isDMgrNode = isDMgrNode();

                if (isDMgrNode != "False"):
                        print "Updating the distributed dmgr profile"
                        enableGlobalSecurityforDMGR();
                        createDefaultUsersInVMMUserRegistry();
                        configureGlobalSecurityAttributes();
                        assignAdministrativePrivilegesToGroups();
                        assignAdministrativePrivilegesToUsers();
                        cellName = System.getProperty("local.cell");
                        scope = "(cell):" + cellName;
                        updateIdMgrRealmURAttrMapping();
                        CreateBPMUserAuthAliases();
                        CreateRALUserAuthAlias();
                        SetPrimaryAdminIdzOS();

                        AdminConfig.save();

                print ""
                print "*************************************************************************************"
                print "The custom security configuration is complete."
                print "*************************************************************************************"
                print ""

        else:
                print "The distributed custom profile does not need an update."
except:
        print ""
        print "*************************************************************************************"
        print "The custom security configuration could not be created. The exception type is: ", sys.exc_type, ". The exception description is: ", sys.exc_value
        print "*************************************************************************************"
        print ""
        # rethrow the exception so the calling Ant script fails and eventually results in INSTCONFFAILED instead of INSTCONFSUCCESS
        raise

print ""
print "End: Creating custom security configuration"
print "*************************************************************************************"

