#BEGIN COPYRIGHT
#*************************************************************************
#
# Licensed Materials - Property of IBM
# 5725-C94, 5725-C95, 5725-C96
# (C) Copyright IBM Corporation 2010, 2011. All Rights Reserved.
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
#*************************************************************************
#END COPYRIGHT

from java.lang import System, String
import sys

print "*************************************************************************************"
print "start: init"
print ""

fileSeparator = System.getProperty("file.separator");
configUtilsScript = System.getProperty("was.install.root") + fileSeparator + "util" + fileSeparator + "config" + fileSeparator + "admin" + fileSeparator + "configUtils.py"
print "load configuration utils from ", configUtilsScript
execfile(configUtilsScript);

print ""
print "end: init"


def unconfigureSecurity():

        attrEnabled = ["enabled", "false"]
        globalSecurityAttributes = [attrEnabled]
        print "The value of globalSecurityAttributes is ", globalSecurityAttributes

        globalSecurity = AdminConfig.list("Security" )
        print "The value of globalSecurity is ", globalSecurity
        AdminConfig.modify(globalSecurity, globalSecurityAttributes )
        print "Modified the global security attributes"
        print ""

#endDef



#*******************************************************************************************************
# main
#*******************************************************************************************************
print "*************************************************************************************"
print "Start: Unconfigure Custom Security Provider"
print ""
print ""


try:
        cellType = getCellType();

        if (cellType == "STANDALONE"):
                print "Configuring stand-alone profile."
                print ""

                unconfigureSecurity()
                AdminConfig.save();

                print ""
                print "*************************************************************************************"
                print "The Custom Security Provider unconfiguration is complete."
                print "*************************************************************************************"
                print ""

        elif (cellType == "DISTRIBUTED"):
                print "Updating the distributed (dmgr or customized) profile"
                # check whether the local node is a deployment manager Node
                isDMgrNode = isDMgrNode();

                if (isDMgrNode != "False"):
                        print "Updating the distributed dmgr profile"
                print ""
                print "*************************************************************************************"
                print "The Custom Security Provider unconfiguration is complete."
                print "*************************************************************************************"
                print ""

        else:
                print "The distributed custom profile does not need an update."
except:
        print ""
        print "*************************************************************************************"
        print "The Custom Security Provider cannot be unconfigured. The exception type is: ", sys.exc_type, ". The exception description is: ", sys.exc_value
        print "*************************************************************************************"
        print ""

print ""
print "end: Unconfigure Custom Security Provider"
print "*************************************************************************************"

